<div class="content mt-4">
  <div class="row">
    <div class="col-12">
      <div class="card">
        <div class="card-header">
          <div class="row">
            <div class="col-6">
              <div class="card-title">Lista de tareas</div>
            </div>
            <div class="col-6 text-end">
              <button nz-button nzType="primary" (click)="addTask()">
                Agregar
              </button>
            </div>
          </div>
        </div>
        <div class="card-body">
          <nz-table #basicTable [nzData]="taskStore.tasks()">
            <thead>
              <tr>
                <th nzWidth="35%">Titulo</th>
                <th nzWidth="35%">Descripcion</th>
                <th nzWidth="20%">Estado</th>
                <th>Action</th>
              </tr>
            </thead>
            <tbody>
              @for (data of basicTable.data; track $index) {
              <tr>
                <td class="text-wrap text-break">{{ data.title }}</td>
                <td class="text-wrap text-break">{{ data.description }}</td>
                <td>{{ data.status }}</td>
                <td>
                  <span class="me-2">
                    <button
                      nz-button
                      nzType="default"
                      nzShape="circle"
                      (click)="editTask(data)"
                    >
                      <span nz-icon nzType="edit"></span>
                    </button>
                  </span>
                  <span>
                    <button
                      nz-button
                      nzType="default"
                      nzDanger
                      nzShape="circle"
                      (click)="deleteTask(data.id!)"
                    >
                      <span nz-icon nzType="delete"></span>
                    </button>
                  </span>
                </td>
              </tr>
              }
            </tbody>
          </nz-table>
        </div>
      </div>
    </div>
  </div>
</div>
